Bug 1256977 - Keepass menu navigation fails when other programs are opened.
Keepass menu navigation fails when other programs are opened.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: keepass (Show other bugs)
22
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Oliver
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 19:37 EDT by cturpie
Modified: 2016-07-19 13:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:40:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cturpie 2015-08-25 19:37:45 EDT
Description of problem:

Keepass when first openned, works as expected.  However, open any other application like Firefox and the dropdown menus in Keepass become un-clickable (as well as right clicking objects).  Verified on 10 different workstations with both Intel and AMD / 64 & 32 bit versions of Fedora 22.

When this happens, trying to survive on keyboard commands alone kinda works (not all commands work) but they too start doing things that they should not be doing in pretty short order.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Open Keepass
2.  Open another program or two like Firefox and Evolution
3.  Try to use the menus in Keepass or right click object

Actual results:

Navigation fails in Keepass if other programs are open


Expected results:

Navigation to work in Keepass with other programs open


Additional info:

In it's current state Keepass is unusable and if you depend on it like we do; it makes Fedora 22 unusable.
Comment 1 cturpie 2015-08-25 19:40:19 EDT
This is being reported for Keepass v2.26 & Fedora 22 (both 32 & 64 bit)
Comment 2 cturpie 2015-08-25 19:45:04 EDT
One last thought...

We saw this same behavior under Fedora 20; but in that case the only time we had the problem was if we opened Gimp while Keepass was open.  That was not a big deal as working around one conflicting program is not bad.

But now, under Fedora 22 opening practically anything else screws up Keepass and that's hard to work around.
Comment 3 Peter Oliver 2015-08-27 14:31:52 EDT
Note to self: test this on Fedora 23, which has Mono 4.
Comment 4 Fedora End Of Life 2016-07-19 13:40:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.